[API Reference](../README.md) > [GetLockersOptions](../interfaces/GetLockersOptions.md)

# Interface: GetLockersOptions

## Hierarchy

**GetLockersOptions**

## Index

### Properties

* [filterObject](GetLockersOptions.md#filterObject)
* [lockerAddress](GetLockersOptions.md#lockerAddress)
* [lockingId](GetLockersOptions.md#lockingId)

---

## Properties

<a id="filterObject"></a>

### `<Optional>` filterObject

**● filterObject**: *[EventFetcherFilterObject](EventFetcherFilterObject.md)*

*Defined in [wrappers/locking4Reputation.ts:459](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L459)*

Web3 event filter options. Typically something like `{ fromBlock: 0 }`. Note if you don't want Arc.js to suppress duplicate events, set `suppressDups` to false.

___
<a id="lockerAddress"></a>

### `<Optional>` lockerAddress

**● lockerAddress**: *[Address](../#Address)*

*Defined in [wrappers/locking4Reputation.ts:453](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L453)*

___
<a id="lockingId"></a>

### `<Optional>` lockingId

**● lockingId**: *[Hash](../#Hash)*

*Defined in [wrappers/locking4Reputation.ts:454](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L454)*

___

